# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.96"
name = "miden-assembly-syntax-cst"
version = "0.24.1"
authors = ["Miden contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Lossless concrete syntax tree support for the Miden Assembly language"
homepage = "https://miden.xyz"
documentation = "https://docs.rs/miden-assembly-syntax-cst"
readme = "README.md"
keywords = [
    "assembly",
    "cst",
    "syntax",
    "miden",
]
categories = ["compilers"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/0xMiden/miden-vm"

[features]
default = ["std"]
std = [
    "miden-debug-types/std",
    "miden-utils-diagnostics/std",
    "rowan/std",
    "thiserror/std",
]

[lib]
name = "miden_assembly_syntax_cst"
path = "src/lib.rs"
doctest = false
bench = false

[dependencies.miden-debug-types]
version = "0.24"
default-features = false

[dependencies.miden-utils-diagnostics]
version = "0.24"
default-features = false

[dependencies.rowan]
version = "0.16"
default-features = false
package = "miden-rowan"

[dependencies.thiserror]
version = "2.0"
default-features = false

[dev-dependencies.pretty_assertions]
version = "1.4"
features = ["alloc"]
default-features = false
